---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Create a new contact comment

Create a new comment for a contact. The comment will be associated with the authenticated agent.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "chat-cc-contact-comment",
      "x-displayName": "Chat - CC Contact Comment",
      "description": "Endpoints to manage Contact Center contact comments for chat-service-v2"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/chat/{applicationId}/contactCenter/contact/{contactId}/comment": {
      "post": {
        "tags": [
          "chat-cc-contact-comment"
        ],
        "summary": "Create a new contact comment",
        "description": "Create a new comment for a contact. The comment will be associated with the authenticated agent.",
        "x-eov-operation-handler": "ccContactComment.controller",
        "x-gateway-endpoint": "chatServiceV2",
        "operationId": "createContactComment",
        "x-gateway-check-permission": {
          "account-features": [
            "CHAT_V2_ENABLED"
          ]
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/CHS_ApplicationId_PathParameter"
          },
          {
            "$ref": "#/components/parameters/CHS_Contact_Id_PathParameter"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/CHS_CcContactComment_Create_Body"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/CHS_CcContactComment_Response"
          },
          "400": {
            "$ref": "#/components/responses/CHS_BadRequest_Response"
          },
          "403": {
            "$ref": "#/components/responses/CHS_Forbidden_Response"
          },
          "404": {
            "$ref": "#/components/responses/CHS_NotFound_Response"
          },
          "500": {
            "$ref": "#/components/responses/CHS_ServerError_Response"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "CHS_Id_Property": {
        "type": "integer",
        "format": "int32",
        "minimum": 0,
        "description": "Identifier",
        "example": 1234
      },
      "CHS_ApplicationId_Property": {
        "type": "integer",
        "format": "int32",
        "minimum": 0,
        "description": "Application identifier",
        "example": 1234
      },
      "CHS_DateTime_Property": {
        "type": "string",
        "format": "date-time",
        "description": "Date and time",
        "example": "2021-08-25T15:00:00Z"
      },
      "CHS_Contact_Id_Property": {
        "allOf": [
          {
            "description": "Contact's internal unique ID."
          },
          {
            "$ref": "#/components/schemas/CHS_Id_Property"
          }
        ]
      },
      "CHS_CcAgent_Id_Property": {
        "allOf": [
          {
            "description": "Agent ID"
          },
          {
            "$ref": "#/components/schemas/CHS_Id_Property"
          }
        ]
      },
      "CHS_CcAgent_CreatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent was created"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgent_UpdatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent was last updated"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgent_WebUserId_Property": {
        "type": "number",
        "description": "The unique identifier of the web user associated with the agent.\n",
        "example": 5678
      },
      "CHS_CcAgent_Name_Property": {
        "type": "string",
        "nullable": true,
        "description": "The name of the agent.\n",
        "example": "John Doe"
      },
      "CHS_CcAgent_ImageUrl_Property": {
        "type": "string",
        "format": "uri",
        "nullable": true,
        "description": "The URL of the agent's profile image.\n",
        "example": "https://example.com/images/agent123.jpg"
      },
      "CHS_CcAgent_Enabled_Property": {
        "type": "boolean",
        "description": "Indicates whether the agent is enabled or disabled.\n",
        "example": true
      },
      "CHS_CcAgent_Status_Property": {
        "type": "string",
        "description": "The current status of the agent.\n",
        "enum": [
          "online",
          "offline"
        ]
      },
      "CHS_CcAgent_Connected_Property": {
        "type": "boolean",
        "description": "Indicates whether the agent is currently connected.\n",
        "example": false
      },
      "CHS_CcAgent_Nullable_Schema": {
        "type": "object",
        "additionalProperties": false,
        "nullable": true,
        "properties": {
          "id": {
            "$ref": "#/components/schemas/CHS_CcAgent_Id_Property"
          },
          "createdAt": {
            "$ref": "#/components/schemas/CHS_CcAgent_CreatedAt_Property"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/CHS_CcAgent_UpdatedAt_Property"
          },
          "applicationId": {
            "$ref": "#/components/schemas/CHS_ApplicationId_Property"
          },
          "webUserId": {
            "$ref": "#/components/schemas/CHS_CcAgent_WebUserId_Property"
          },
          "name": {
            "$ref": "#/components/schemas/CHS_CcAgent_Name_Property"
          },
          "imageUrl": {
            "$ref": "#/components/schemas/CHS_CcAgent_ImageUrl_Property"
          },
          "enabled": {
            "$ref": "#/components/schemas/CHS_CcAgent_Enabled_Property"
          },
          "status": {
            "$ref": "#/components/schemas/CHS_CcAgent_Status_Property"
          },
          "connected": {
            "$ref": "#/components/schemas/CHS_CcAgent_Connected_Property"
          }
        }
      },
      "CHS_CcContactComment_Schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "$ref": "#/components/schemas/CHS_CcContactComment_Id_Property"
          },
          "createdAt": {
            "$ref": "#/components/schemas/CHS_CcContactComment_CreatedAt_Property"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/CHS_CcContactComment_UpdatedAt_Property"
          },
          "applicationId": {
            "$ref": "#/components/schemas/CHS_ApplicationId_Property"
          },
          "agentId": {
            "$ref": "#/components/schemas/CHS_CcAgent_Id_Property"
          },
          "contactId": {
            "$ref": "#/components/schemas/CHS_Contact_Id_Property"
          },
          "comment": {
            "$ref": "#/components/schemas/CHS_CcContactComment_Comment_Property"
          },
          "agent": {
            "$ref": "#/components/schemas/CHS_CcAgent_Nullable_Schema"
          }
        }
      },
      "CHS_CcContactComment_Id_Property": {
        "allOf": [
          {
            "description": "Contact Comment ID"
          },
          {
            "$ref": "#/components/schemas/CHS_Id_Property"
          }
        ]
      },
      "CHS_CcContactComment_CreatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the comment was created"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcContactComment_UpdatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the comment was last updated"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcContactComment_Comment_Property": {
        "type": "object",
        "additionalProperties": false,
        "description": "The comment content",
        "properties": {
          "text": {
            "$ref": "#/components/schemas/CHS_CcContactComment_Comment_Text_Property"
          }
        }
      },
      "CHS_CcContactComment_Comment_Text_Property": {
        "type": "string",
        "description": "The text content of the comment",
        "example": "Customer prefers morning calls",
        "minLength": 1
      }
    },
    "responses": {
      "CHS_NotFound_Response": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 404
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "NOT_FOUND"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Resource not found."
                }
              }
            }
          }
        }
      },
      "CHS_ServerError_Response": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 500
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "INTERNAL_SERVER_ERROR"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Internal server error."
                }
              }
            }
          }
        }
      },
      "CHS_Forbidden_Response": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 403
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "FORBIDDEN"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Forbidden."
                }
              }
            }
          }
        }
      },
      "CHS_BadRequest_Response": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 400
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "BAD_REQUEST"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Bad request."
                }
              }
            }
          }
        }
      },
      "CHS_CcContactComment_Response": {
        "description": "Retrieve information about a specific contact comment",
        "content": {
          "application/json": {
            "schema": {
              "required": [
                "statusCode",
                "message",
                "data"
              ],
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "Response message, usually OK",
                  "example": "OK"
                },
                "data": {
                  "$ref": "#/components/schemas/CHS_CcContactComment_Schema"
                }
              }
            }
          }
        }
      }
    },
    "requestBodies": {
      "CHS_CcContactComment_Create_Body": {
        "required": true,
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "text"
              ],
              "properties": {
                "text": {
                  "$ref": "#/components/schemas/CHS_CcContactComment_Comment_Text_Property"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "CHS_ApplicationId_PathParameter": {
        "in": "path",
        "name": "applicationId",
        "required": true,
        "description": "Application's ID",
        "schema": {
          "type": "integer",
          "example": 123
        }
      },
      "CHS_Contact_Id_PathParameter": {
        "in": "path",
        "name": "contactId",
        "required": true,
        "description": "Contact's ID",
        "schema": {
          "type": "integer",
          "example": 789
        }
      }
    }
  }
}
```